Update notification preferences
curl --request PUT \
--url https://api.hyzecloud.com/api/notifications/preferences \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inAppDeploy": true,
"inAppBilling": true,
"inAppSecurity": true
}
'import requests
url = "https://api.hyzecloud.com/api/notifications/preferences"
payload = {
"inAppDeploy": True,
"inAppBilling": True,
"inAppSecurity": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({inAppDeploy: true, inAppBilling: true, inAppSecurity: true})
};
fetch('https://api.hyzecloud.com/api/notifications/preferences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hyzecloud.com/api/notifications/preferences"
payload := strings.NewReader("{\n \"inAppDeploy\": true,\n \"inAppBilling\": true,\n \"inAppSecurity\": true\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Notifications
Update notification preferences
PUT
/
api
/
notifications
/
preferences
Update notification preferences
curl --request PUT \
--url https://api.hyzecloud.com/api/notifications/preferences \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inAppDeploy": true,
"inAppBilling": true,
"inAppSecurity": true
}
'import requests
url = "https://api.hyzecloud.com/api/notifications/preferences"
payload = {
"inAppDeploy": True,
"inAppBilling": True,
"inAppSecurity": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({inAppDeploy: true, inAppBilling: true, inAppSecurity: true})
};
fetch('https://api.hyzecloud.com/api/notifications/preferences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hyzecloud.com/api/notifications/preferences"
payload := strings.NewReader("{\n \"inAppDeploy\": true,\n \"inAppBilling\": true,\n \"inAppSecurity\": true\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Autorizações
bearerAuthcookieAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Corpo
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Resposta
default
Response
Última modificação em 6 de outubro de 2026

